Delete a contact
post
https://api.expiryedge.com/v1/deleteContacteditor or admin60/min
Request
curl -X POST 'https://api.expiryedge.com/v1/deleteContact?id=c_8Hk2pQ' \
-H "Authorization: Bearer $EXPIRYEDGE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"contactId": "c_8Hk2pQ"
}'Response
{
"message": "Contact deleted successfully"
}Permanently deletes the contact and frees one slot of the plan's contact limit. The id may be sent as
the id query parameter or as contactId in the body.
idstringContact id (alternative to bodycontactId).
contactIdstringContact id (used whenidis not in the query).
200
Contact deleted.
messagestringrequired
400 | The request is missing required fields or contains invalid values. |
401 | Missing, expired or invalid bearer token. |
403 | Authenticated, but your role or organization does not allow this action. |
404 | The record does not exist or is not in your organization. |
429 | Too many requests for this endpoint from your IP. Wait Retry-After seconds. |
